org.apache.flume.channel.file

## Class LogFile

- java.lang.Object
- - org.apache.flume.channel.file.LogFile

- Direct Known Subclasses:
    LogFileV3

      @InterfaceAudience.Private
      @InterfaceStability.Unstable
      public abstract class LogFile
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LogFile.OperationRecordUpdater` This is an class meant to be an internal Flume API, and can change at any time.
    `static class` | `LogFile.SequentialReader`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `OP_EOF`
    `static byte` | `OP_NOOP`
    `static byte` | `OP_RECORD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogFile()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)`
    `protected static byte[]` | `readDelimitedBuffer(RandomAccessFile fileHandle)`
    `protected static void` | `skipRecord(RandomAccessFile fileHandle, int offset)`
    `protected static void` | `writeDelimitedBuffer(ByteBuffer output, ByteBuffer buffer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OP_RECORD

          public static final byte OP_RECORD

      See Also:
        Constant Field Values

    - #### OP_NOOP

          public static final byte OP_NOOP

      See Also:
        Constant Field Values

    - #### OP_EOF

          public static final byte OP_EOF

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LogFile

          public LogFile()

  - ### Method Detail

    - #### skipRecord

          protected static void skipRecord(RandomAccessFile fileHandle,
                        int offset)
                                    throws IOException

      Throws:
        `IOException`

    - #### writeDelimitedBuffer

          protected static void writeDelimitedBuffer(ByteBuffer output,
                                  ByteBuffer buffer)
                                              throws IOException

      Throws:
        `IOException`

    - #### readDelimitedBuffer

          protected static byte[] readDelimitedBuffer(RandomAccessFile fileHandle)
                                               throws IOException,
                                                      CorruptEventException

      Throws:
        `IOException`
        `CorruptEventException`

    - #### main

          public static void main(String[] args)
                           throws EOFException,
                                  IOException,
                                  CorruptEventException

      Throws:
        `EOFException`
        `IOException`
        `CorruptEventException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.